saxonpaul92
Posts: 8
Joined: Tue Oct 18, 2016 4:14 am

No Raspberry Pi imager for Raspberry Pi

Thu Jun 25, 2020 10:40 pm

I was wondering why there is a Raspberry Pi Imager for Windows, MAC, and Ubuntu but not for Raspberry Pi.

I have been contemplating switching my desktop to Raspberry Pi 4 but there really is very little support for ARM processors.

Any thoughts?

trejan
Posts: 3062
Joined: Tue Jul 02, 2019 2:28 pm

Re: No Raspberry Pi imager for Raspberry Pi

Thu Jun 25, 2020 10:43 pm

saxonpaul92 wrote:
Thu Jun 25, 2020 10:40 pm
I was wondering why there is a Raspberry Pi Imager for Windows, MAC, and Ubuntu but not for Raspberry Pi.
It already exists. "sudo apt install rpi-imager"

User avatar
B.Goode
Posts: 10866
Joined: Mon Sep 01, 2014 4:03 pm
Location: UK

Re: No Raspberry Pi imager for Raspberry Pi

Thu Jun 25, 2020 10:57 pm

saxonpaul92 wrote:
Thu Jun 25, 2020 10:40 pm
I was wondering why there is a Raspberry Pi Imager for Windows, MAC, and Ubuntu but not for Raspberry Pi.

I have been contemplating switching my desktop to Raspberry Pi 4 but there really is very little support for ARM processors.

Any thoughts?



This recent very similar thread seems relevant, and points out that you are incorrect - viewtopic.php?f=66&t=277981

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 27709
Joined: Sat Jul 30, 2011 7:41 pm

Re: No Raspberry Pi imager for Raspberry Pi

Fri Jun 26, 2020 6:16 am

saxonpaul92 wrote:
Thu Jun 25, 2020 10:40 pm
I was wondering why there is a Raspberry Pi Imager for Windows, MAC, and Ubuntu but not for Raspberry Pi.

I have been contemplating switching my desktop to Raspberry Pi 4 but there really is very little support for ARM processors.

Any thoughts?
There's loads of support for ARM. There are over 25000 apps in the Raspberry Pi repositories...
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Contrary to popular belief, humorous signatures are allowed.
I've been saying "Mucho" to my Spanish friend a lot more lately. It means a lot to him.

LTolledo
Posts: 4434
Joined: Sat Mar 17, 2018 7:29 am
Location: Anime Heartland

Re: No Raspberry Pi imager for Raspberry Pi

Fri Jun 26, 2020 6:34 am

jamesh wrote:
saxonpaul92 wrote:
Thu Jun 25, 2020 10:40 pm
I was wondering why there is a Raspberry Pi Imager for Windows, MAC, and Ubuntu but not for Raspberry Pi.

I have been contemplating switching my desktop to Raspberry Pi 4 but there really is very little support for ARM processors.

Any thoughts?
There's loads of support for ARM. There are over 25000 apps in the Raspberry Pi repositories...
methinks it depends on the the OP what he think as important apps for his desktop...
if ARM equivalent is not up to his standards or does not exist....
he will always think "...but there really is very little support for ARM processors..."

the Raspberry Pi Imager is available for RPiOS, but not for Raspbian OS versions prior to Buster.

I've ported most of my favorite desktop apps from a w$ system to RPiOS on RPi4B-4G..... and happy with it.
the w$ system is either gathering dust (lots of it already) or back in its box...
"Don't come to me with 'issues' for I don't know how to deal with those
Come to me with 'problems' and I'll help you find solutions"

Some people be like:
"Help me! Am drowning! But dont you dare touch me nor come near me!"

User avatar
clicky
Posts: 511
Joined: Thu Oct 25, 2012 7:34 am

Re: No Raspberry Pi imager for Raspberry Pi

Fri Jun 26, 2020 3:32 pm

BTW I had similar question only a few days ago (but I'm fine to use dd from command line). Anyway - is it worth adding line somewhere on https://www.raspberrypi.org/downloads/ just to avoid further confusion?

Re support for ARM: it all boils down to what is really needed. I've sorted out all my candy for Linux and arm (to be precise 64bit one) with some effort - and now happily using RPi4 (8GB with 1TB SSD) for my current development and as a general purpose computer (mail/web stuff).

jamesh
Raspberry Pi Engineer & Forum Moderator
Raspberry Pi Engineer & Forum Moderator
Posts: 27709
Joined: Sat Jul 30, 2011 7:41 pm

Re: No Raspberry Pi imager for Raspberry Pi

Fri Jun 26, 2020 5:11 pm

clicky wrote:
Fri Jun 26, 2020 3:32 pm
BTW I had similar question only a few days ago (but I'm fine to use dd from command line). Anyway - is it worth adding line somewhere on https://www.raspberrypi.org/downloads/ just to avoid further confusion?

Re support for ARM: it all boils down to what is really needed. I've sorted out all my candy for Linux and arm (to be precise 64bit one) with some effort - and now happily using RPi4 (8GB with 1TB SSD) for my current development and as a general purpose computer (mail/web stuff).
I don't access to the downloads page otherwise I would have already done that. I'll pass on to the content team.
Principal Software Engineer at Raspberry Pi (Trading) Ltd.
Contrary to popular belief, humorous signatures are allowed.
I've been saying "Mucho" to my Spanish friend a lot more lately. It means a lot to him.

bjtheone
Posts: 1005
Joined: Mon May 20, 2019 11:28 pm
Location: The Frozen North (AKA Canada)

Re: No Raspberry Pi imager for Raspberry Pi

Thu Jul 02, 2020 11:51 am

Also should relabel the "Raspberry Pi Imager for Ubuntu" to make it clear that it is for x86 Ubuntu. I know the file name of "imager_amd64.deb" should be enough of a clue, but I suspect it will be a source of confusion, especially once you add the one for ARM.

richard_bonomo
Posts: 1
Joined: Wed Jul 29, 2020 4:00 pm

Re: No Raspberry Pi imager for Raspberry Pi

Mon Aug 03, 2020 4:01 pm

I having an issue using sudo apt -install rpi-imager on Raspberry Pi OS 64 bit.
I get this message:
pi@raspberrypi:~ $ sudo apt install rpi-imager
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
rpi-imager : Depends: libqt5qml5 (>= 5.1.0) but it is not going to be installed
Depends: libqt5quick5 (>= 5.0.2) but it is not going to be installed
Depends: qml-module-qtquick2 but it is not going to be installed
Depends: qml-module-qtquick-controls2 but it is not going to be installed
Depends: qml-module-qt-labs-settings but it is not going to be installed
Depends: qml-module-qtquick-layouts but it is not going to be installed
Depends: qml-module-qtquick-templates2 but it is not going to be installed
Depends: qml-module-qtquick-window2 but it is not going to be installed
Depends: qml-module-qtgraphicaleffects but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I can't seem to install the individual packages either. Ideas?

Return to “Raspberry Pi OS”